import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceCredentialWhereInputObjectSchema as InsuranceCredentialWhereInputObjectSchema } from './InsuranceCredentialWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => InsuranceCredentialWhereInputObjectSchema).optional(),
  some: z.lazy(() => InsuranceCredentialWhereInputObjectSchema).optional(),
  none: z.lazy(() => InsuranceCredentialWhereInputObjectSchema).optional()
}).strict();
export const InsuranceCredentialListRelationFilterObjectSchema: z.ZodType<Prisma.InsuranceCredentialListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialListRelationFilter>;
export const InsuranceCredentialListRelationFilterObjectZodSchema = makeSchema();
